/********************************************************************************************
**   Kalender fuer private Homepages
**
**   Autor: Thomas Meyer   Mail: tom@all-community.de
**
**   nicht fr Firmen oder kommerzielle Nutzung, keine unerlaubte Weitergabe, kein Verkauf
**
**    2002, Thomas Meyer www.All-Community.de - Copyright Hinweis nicht entfernen!
**
*********************************************************************************************/

var kalender = new Array();

function newEvent(tag, monat, jahr, nachricht) {

  if (null == kalender[jahr+'.'+monat+'.'+tag]) { kalender[jahr+'.'+monat+'.'+tag] = escape(nachricht);
  } else { kalender[jahr+'.'+monat+'.'+tag] += escape(nachricht); };

};

function monLength(monnr, jahr) {
  if (monnr == 1) { return 31; }
  else if (monnr == 2) { return ( (jahr%4 == 0) ? 29 : 28 ); }
  else if (monnr == 3) { return 31; }
  else if (monnr == 4) { return 30; }
  else if (monnr == 5) { return 31; }
  else if (monnr == 6) { return 30; }
  else if (monnr == 7) { return 31; }
  else if (monnr == 8) { return 31; }
  else if (monnr == 9) { return 30; }
  else if (monnr == 10) { return 31; }
  else if (monnr == 11) { return 30; }
  else { return 31; };
};

function mon(monnr) {
  if (monnr == 1) { return "Januar"; }
  else if (monnr == 2) { return "Februar"; }
  else if (monnr == 3) { return "Mrz"; }
  else if (monnr == 4) { return "April"; }
  else if (monnr == 5) { return "Mai"; }
  else if (monnr == 6) { return "Juni"; }
  else if (monnr == 7) { return "Juli"; }
  else if (monnr == 8) { return "August"; }
  else if (monnr == 9) { return "September"; }
  else if (monnr == 10) { return "Oktober"; }
  else if (monnr == 11) { return "November"; }
  else { return "Dezember"; };
};

function weekdayNr(monat, jahr) {
  var daynr = new Date();
      daynr.setYear(jahr);
      daynr.setMonth(monat);
      daynr.setDate(1);
  return (7 + daynr.getDay()-1) % 7;
};

function drawMiniCalendar() {

  var jahr = (new Date()).getYear();
  jahr += (jahr < 1900) ? 1900 : 0;
  var monat = (new Date()).getMonth() +1;
  var tag = (new Date()).getDate();

  document.writeln('<table border="1" cellspacing="0" cellpadding="3" bgcolor="#F5F5F5" bordercolor="#808080" width="130" height="200" style="float: right">');
  document.writeln('  <tr>');
  document.writeln('    <td bgcolor="#7789B3" align="center" valign="middle" style="font-size: 18pt; color: whitesmoke; font-weight: bold">');
  document.writeln('      '+mon(monat));
  document.writeln('    </td>');
  document.writeln('  </tr>');
  document.writeln('  <tr>');
  document.writeln('    <td height="150" align="center" valign="middle">');

  document.writeln('    <table style="font-family: Arial, Helvetica" border=0 cellspacing=0 cellpadding=3><tr style="font-size: 9pt">');

  for (var k = 0; k < 7; k++) {
    document.writeln('      <td align=center'+( (k%2==0) ? ' bgcolor="#EEEEEE"' : ' bgcolor="#CCCCCC" style="color: snow"' )+'>');
    switch (k) {
    case 0: document.write("Mo"); break;
    case 1: document.write("Di"); break;
    case 2: document.write("Mi"); break;
    case 3: document.write("Do"); break;
    case 4: document.write("Fr"); break;
    case 5: document.write("Sa"); break;
    case 6: document.write("So"); break;
    default: break;
    };
    document.writeln('      </td>');
  };
  document.writeln('  </tr>');
  document.writeln('  <tr style="font-size: 9pt">');

  var wochenDifferenz = weekdayNr(monat-1,jahr);
  var maxDays = monLength(monat, jahr) + wochenDifferenz;
  for (var l = 1; l <= maxDays; l++) {
    var y = l - wochenDifferenz;
    document.writeln('      <td align=center'+ ( (l%7 == 6 || l%7 == 0) ? ' bgcolor="#E0E6EF"': '') +'>');
    if (y < 1) { document.write('&nbsp;'); }
    else if (y == tag) {document.write('<span style="color: red; font-weight: bold">' + insertDay(y, monat, jahr) + '</span>&nbsp;'); }
    else if (y < tag) {document.write('<span style="color: #7789B3">' + insertDay(y, monat, jahr) + '</span>&nbsp;'); }
    else { document.write('<span style="color: black">' + insertDay(y, monat, jahr) + '</span>&nbsp;'); };
    document.writeln('      </td>');
    if (l%7==0) {document.writeln('</tr><tr style="font-size: 10pt">'); };
  };

  document.writeln('    </tr></table>');  


  document.writeln('    </td>');
  document.writeln('  </tr>');
  document.writeln('  <tr>');
  document.writeln('    <td bgcolor="#7789B3" style="font-size: 11pt; color: lightskyblue; font-weight: bold">'+jahr+'</td>');
  document.writeln('  </tr>');
  document.writeln('</table>');

};

function drawBigCalendar() {

  var jahr = (new Date()).getYear();
  jahr += (jahr < 1900) ? 1900 : 0;
  var monat = (new Date()).getMonth() +1;
  var tag = (new Date()).getDate();

  var beginnMonat = monat;
  var beginnJahr = jahr;


  // delta festlegen
  if (monat < 3) {
    beginnMonat = 12 + (monat -2);
    beginnJahr = jahr -1;
  } else {
    beginnMonat = monat -2;
    beginnJahr = jahr; };


  document.write('<h1 style="color: gray; font-weight: bold; font-size: 32pt">');
    if (beginnJahr < jahr) { document.writeln(beginnJahr+' / '+jahr+'</h1>'); aktJahr = jahr -1; }
    else { document.writeln(jahr+' / '+ (jahr+1) +'</h1>'); aktJahr = jahr; };
  document.writeln('<hr width="500" noshade size="4" color="#87CEFA" align="left">');
  document.writeln('<blockquote>');
  document.writeln('<table border="1" cellspacing="0" cellpadding="6" bgcolor="#F5F5F5" bordercolor="#808080">');

  for (var i = 0; i < 4; i++) {

      document.writeln('  <tr>');
      for (var j = 0; j < 3; j++) {
        document.write('    <td bgcolor="#7789B3" align="center" valign="middle" style="font-size: 13pt; font-family: \'Arial\', \'Helvetica\'; color: whitesmoke; font-weight: bold">');
        var temp = beginnMonat+i*3+j;
        temp = ((temp > 12) ? mon(temp -12) : mon(temp));
        document.writeln(temp+'</td>');
      };
      document.writeln('  </tr>');

      document.writeln('  <tr>');

      for (var j = 0; j < 3; j++) {
        document.write('    <td valign="top" align="center">');

        var temp = beginnMonat+i*3+j;
        if (temp > 12) { temp -= 12; aktJahr = beginnJahr +1; } else { aktJahr = beginnJahr; };

        document.writeln('    <table style="font-family: Arial, Helvetica" border=0 cellspacing=0 cellpadding=3><tr style="font-size: 9pt">');

        for (var k = 0; k < 7; k++) {
          document.writeln('      <td align=center'+( (k%2==0) ? ' bgcolor="#EEEEEE"' : ' bgcolor="#CCCCCC" style="color: snow"' )+'>');
          switch (k) {
          case 0: document.write("Mo"); break;
          case 1: document.write("Di"); break;
          case 2: document.write("Mi"); break;
          case 3: document.write("Do"); break;
          case 4: document.write("Fr"); break;
          case 5: document.write("Sa"); break;
          case 6: document.write("So"); break;
          default: break;
          };
          document.writeln('      </td>');
        };
        document.writeln('  </tr>');
        document.writeln('  <tr style="font-size: 9pt">');

        var wochenDifferenz = weekdayNr(temp-1,aktJahr);
        var maxDays = monLength(temp, aktJahr) + wochenDifferenz;
        for (var l = 1; l <= maxDays; l++) {
          var y = l - wochenDifferenz;
          document.writeln('      <td align=center'+ ( (l%7 == 6 || l%7 == 0) ? ' bgcolor="#E0E6EF"': '') +'>');
          if (y < 1) { document.write('&nbsp;'); }
          else if (y == tag && temp == monat) {document.write('<span style="color: red; font-weight: bold">' + insertDay(y, monat, aktJahr) + '</span>&nbsp;'); }
          else if ((aktJahr < jahr) || (aktJahr == jahr && temp < monat) || (aktJahr == jahr && temp == monat && y < tag)) {document.write('<span style="color: #7789B3">' + insertDay(y, temp, aktJahr) + '</span>&nbsp;'); }
          else { document.write('<span style="color: black">' + insertDay(y, temp, aktJahr) + '</span>&nbsp;'); };
          document.writeln('      </td>');
          if (l%7==0) {document.writeln('</tr><tr style="font-size: 10pt">'); };
        };

        document.writeln('    </tr></table>');

        document.writeln('</td>');
      };
      document.writeln('  </tr>');
  };

  document.writeln('</table>');
  document.writeln('</blockquote>\n');

  document.writeln('<hr width="500" noshade size="4" color="#87CEFA" align="left">');
  document.writeln('<p style="font-size: 11pt; font-family: \'Courier\'; color: dimgray; font-weight: bold">Kalenderdaten ab: '+mon(beginnMonat)+' '+beginnJahr+'</p>');
  document.close();

};


function insertDay(tag, monat, jahr) {
  var datum = (tag < 10) ? "0" + tag : tag;
  var text  = "";

  text = (kalender[jahr+'.'+monat+'.'+tag]) ? kalender[jahr+'.'+monat+'.'+tag] : '';
  text+= (kalender[0+'.'+monat+'.'+tag]) ? kalender[0+'.'+monat+'.'+tag] : '';
  text+= (kalender[jahr+'.'+0+'.'+tag]) ? kalender[jahr+'.'+0+'.'+tag] : '';
  text+= (kalender[jahr+'.'+monat+'.'+0]) ? kalender[jahr+'.'+monat+'.'+0] : '';
  text+= (kalender[0+'.'+0+'.'+tag]) ? kalender[0+'.'+0+'.'+tag] : '';
  text+= (kalender[0+'.'+monat+'.'+0]) ? kalender[0+'.'+monat+'.'+0] : '';
  text+= (kalender[jahr+'.'+0+'.'+0]) ? kalender[jahr+'.'+0+'.'+0] : '';
  text+= (kalender[0+'.'+0+'.'+0]) ? kalender[0+'.'+0+'.'+0] : '';

  if (text.length > 0) {
    text = '<a href="javascript:popUp(\''+escape(tag+'. '+mon(monat)+' '+jahr)+'\',\''+text+'\')">'+datum+'</a>';
  } else {
    text = datum;
  }
  return text;
};

function popUp(datum, nachricht) {
  var newWindow = window.open('about:blank', '_blank', 'height=250, width=300, scrollbars');
  newWindow.document.writeln('<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">');
  newWindow.document.writeln('<html>');
  newWindow.document.writeln('<head>');
  newWindow.document.writeln('<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">');
  newWindow.document.writeln('<title>Kalenderinformation</title>');
  newWindow.document.writeln('</head>');
  newWindow.document.writeln('<body bgColor="whitesmoke" text="black">');
  newWindow.document.writeln('<table border="0" width="100%" height="100%" cellspacing="0" cellpadding="0"><tr>');
  newWindow.document.writeln('<td valign="middle" align="center" height="10%" bgcolor="#7789B3" style="color: whitesmoke; font-size: 14pt; font-weight: bold">');
  newWindow.document.writeln(unescape(datum));
  newWindow.document.writeln('</td></tr><tr>');
  newWindow.document.writeln('<td valign="middle" align="center" height="90%">');
  newWindow.document.writeln(unescape(nachricht));
  newWindow.document.writeln('</td></tr></table>');
  newWindow.document.writeln('</body>');
  newWindow.document.writeln('</html>');
  newWindow.document.close();  
};

//  2002, Thomas Meyer www.All-Community.de
// Copyright Hinweis nicht entfernen!
